Intermediate failures on Jenkins for puppetclass_lookup_key integration test

03/03/2016 02:10 AM - Ori Rabin

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This test fails between visit and within because the table isn't there yet:

test "uncheck override" do

  visit puppetclass_lookup_keys_path

  within(:xpath, "//table") do

    click_link "ssl" 

  end

 This might also start happening in test 'can hide value when overriden' which starts the same as the test above.

Related issues:

Related to Foreman - Bug #13293: Intermittent host#edit parameter integration... Resolved 01/20/2016

Related to Foreman - Bug #13976: Unckecking override checkbox in smart class ... Closed 03/01/2016

History

#1 - 03/03/2016 03:04 AM - Dominic Cleal

- Related to Bug #13293: Intermittent host#edit parameter integration test failures after timeout added

#2 - 03/03/2016 03:04 AM - Dominic Cleal

- Related to Bug #13976: Unckecking override checkbox in smart class parameters effects other checkboxes added

#3 - 03/03/2016 03:05 AM - Dominic Cleal

- Category set to Tests

It looks quite similar to #13293, where the timeout does appear to be working as the test takes over thirty seconds:

15:46:30 PtableIntegrationTest#test_0003_make sure that ptable names with slashes and dots work = 4.13 s = .

15:46:33 PuppetclassLookupKeyIntegrationTest#test_0001_index page = 2.95 s = .

15:46:37 PuppetclassLookupKeyIntegrationTest#test_0002_edit page = 3.76 s = .

15:46:49 PuppetclassLookupKeyIntegrationTest::js tests#test_0001_can hide value when overriden = 11.94 s = .

15:47:27 PuppetclassLookupKeyIntegrationTest::js tests#test_0002_uncheck override = 38.01 s = E

15:47:31 PuppetclassIntegrationTest#test_0001_edit page = 3.90 s = .

15:47:34 RealmIntegrationTest#test_0001_index page = 2.73 s = .

#4 - 03/03/2016 03:05 AM - Dominic Cleal

Assertion output:

15:49:40  10) Error:

15:49:40 PuppetclassLookupKeyIntegrationTest::js tests#test_0002_uncheck override:

15:49:40 Capybara::ElementNotFound: Unable to find xpath "//table" 

15:49:40     test/integration/puppetclass_lookup_key_test.rb:41:in `block (2 levels) in <class:PuppetclassLook

upKeyIntegrationTest>'

#5 - 03/24/2016 10:25 AM - Dominic Cleal
https://projects.theforeman.org/issues/13293


- Status changed from New to Resolved

Tentatively marking as resolved as it's probably the same as #14340 and #13293, please re-open if it recurs.
